function displayTrackingResult(imgdat, targetState, searchPos, frame, iter)

global opts trackingResults trackError overLap runTime

targetPos = targetState.targetPos;
trackingResults(frame,:) = targetPos;
% pathSave = ['D:\tracker_benchmark_v1.0\tmp\demo\' opts.seqName '_1/'];
% if(~isdir(pathSave))
%     mkdir(pathSave);
% end
[trackError(frame), overLap(frame), gtPos] = calcError(imgdat, targetPos, frame);

if(opts.showTrackingResults)
    figure(1), set(gcf, 'NumberTitle', 'off', 'name', 'Tracking Result'), imshow(imgdat); hold on;    
end

if(opts.rotateMode)
    if(opts.showTrackingResults)
        % show tracking position and target center of the tracker and groundtruth    
        vx1 = [targetPos(1:2:end) targetPos(1)];
        vy1 = [targetPos(2:2:end) targetPos(2)];
        vx2 = [gtPos(1:2:end) gtPos(1)];
        vy2 = [gtPos(2:2:end) gtPos(2)];    
        for i = 1:4 
            line([vx1(i) vx1(i+1)],[vy1(i) vy1(i+1)], 'LineWidth', 2, 'color', 'r');
            line([vx2(i) vx2(i+1)],[vy2(i) vy2(i+1)], 'LineWidth', 2, 'color', 'y');  
        end
        cenPos = [mean(vx1(1:4)), mean(vy1(1:4))];
        gtCenPos = [mean(vx2(1:4)), mean(vy2(1:4))];
        plot(cenPos(1), cenPos(2), 'r+', 'lineWidth', 2);
        plot(gtCenPos(1), gtCenPos(2), 'y+', 'lineWidth', 2);
        rectangle('Position', [searchPos(1), searchPos(2), searchPos(3)-searchPos(1)+1, searchPos(4)-searchPos(2)+1],'LineWidth',4,'edgecolor','g');
    end
    if(opts.showEvaluation)
        % print tracking peformance
        disp([opts.seqName ': #' num2str(frame) ', accuracy: ' num2str(mean(overLap(1:frame))) '%, fps: ' num2str(roundn(1/mean(runTime(1:frame)),-1))]);
    end
else
    if(opts.showTrackingResults)
        % show tracking position and target center
        rectangle('Position', [targetPos(1), targetPos(2), targetPos(3), targetPos(4)],'LineWidth',4,'edgecolor','r');
        cenPos = [targetPos(1)+targetPos(3)/2, targetPos(2)+targetPos(4)/2];     
        plot(cenPos(1), cenPos(2), 'r+', 'lineWidth', 2);    
        % show groundtruh position and target center
%         rectangle('Position', [gtPos(1), gtPos(2), gtPos(3)-gtPos(1)+1, gtPos(4)-gtPos(2)+1],'LineWidth',2,'edgecolor','y');
%         gtCenPos = [(gtPos(1)+gtPos(3)), (gtPos(2)+gtPos(4))]/2;    
%         plot(gtCenPos(1), gtCenPos(2), 'y+', 'lineWidth', 2);   
        rectangle('Position', [searchPos(1), searchPos(2), searchPos(3)-searchPos(1)+1, searchPos(4)-searchPos(2)+1],'LineWidth',4,'edgecolor','g'); 
%         figure(5);
%         searchImage = imgdat(searchPos(2):searchPos(4)+searchPos(2)-1,searchPos(1):searchPos(3)+searchPos(1)-1,:);
%         imshow(searchImage);
%         rectangle('Position', [targetPos(1)-searchPos(1), targetPos(2)-searchPos(1), targetPos(3), targetPos(4)],'LineWidth',4,'edgecolor','r');        
    end
    if(opts.showEvaluation)
        % print tracking peformance
        successRate = sum(overLap(1:frame)>50)/frame*100;
        meanError = sum(trackError(1:frame))/frame;
        disp([opts.seqName ': #' num2str(frame) ', CLE: ' num2str(meanError) ', SR: ' num2str(successRate) '%, FPS: ' num2str(roundn(1/mean(runTime(1:frame)),-1))]);
    end
end

% if(opts.showTrackingResults)
%     % show frame index
% %     text('Position',[10, 20],'String',['#' sprintf('%03d',frame)],'Color','r','FontSize',30);
%     pathSave = ['D:\tracker_benchmark_v1.0\tmp\demo\' opts.seqName '_1/'];
%     imwrite(frame2im(getframe(gcf)), [pathSave 'state_fr' num2str(frame) '_iter_' num2str(iter) '.png']);    
% end