function showCandidateParts(searchImage, spLabel, partLabel, labeling, frame, iter)

global opts

spBorder = genBorder(spLabel);

if(opts.debug)
    disp(['# of candidate parts = ' num2str(numel(partLabel))]);
end
pathSave = ['D:\tracker_benchmark_v1.0\tmp\demo\' opts.seqName '_1/'];
if(~isdir(pathSave))
    mkdir(pathSave);
end

if(opts.showCandidateParts)
    figure(2),clf;
    % show the candidate parts    
    for i = 1:3
        temp = searchImage(:,:,i);
        if(i == 1)
            temp(spBorder) = 255;
            idx = ~ismember(spLabel, partLabel);
        end
        temp(idx) = 255;
        searchImage(:,:,i) = temp;
    end
    % show the target structure
    [height, width, ~] = size(searchImage);
    loc = zeros(height, width, 2);
    [loc(:,:,1), loc(:,:,2)] = meshgrid(1:width, 1:height);
    numSuperpixel = numel(partLabel);
    partPos = zeros(numSuperpixel, 2);
    for i = 1:2
        temp = loc(:,:,i);
        for k = 1:numSuperpixel
            partPos(k, i) = mean(temp(spLabel == partLabel(k)));
        end
    end
    neighbors = pdist2(partPos, partPos, 'euclidean');
    nNodes = numel(unique(spLabel));
    search_radius = sqrt(nnz(spLabel)/nNodes);
    neighbors = (neighbors <= 1.5*search_radius & neighbors > 0);
    if(isempty(labeling))
        labeling = ones(1,nNodes);
    end    
    imshow(searchImage);
    imwrite(frame2im(getframe(gcf)), [pathSave 'part_fr' num2str(frame) '_iter_' num2str(iter) '.png']);
    
    
    figure(4),clf;
    structImage = 255*ones(height, width);
    imshow(uint8(structImage)); hold on;
    for k = 1:numSuperpixel
        plot(partPos(k,1), partPos(k,2), 'r*', 'lineWidth', 4);
        for i = 1:numSuperpixel
            if(neighbors(k,i))
                line([partPos(k,1) partPos(i,1)],[partPos(k,2) partPos(i,2)],'color','r','lineWidth', 2.5);
            end
        end
    end
    imwrite(frame2im(getframe(gcf)), [pathSave 'structure_fr' num2str(frame) '_iter_' num2str(iter) '.png']);    
%     for k = 1:numSuperpixel
%         text(partPos(k,1), partPos(k,2),num2str(labeling(partLabel(k))),'Color','b','HorizontalAlignment','center','FontSize',10);    
%     end
end         