function showReliableParts(spCandidate, frame)

global opts

if(opts.showReliableParts)
%     figure(3);
    for k = 1:opts.frameBuffer
        spLabels = spCandidate{k}.spLabels.searchSpLabel;
        [height, width] = size(spLabels);
        loc = zeros(height, width, 2);
        [loc(:,:,1), loc(:,:,2)] = meshgrid(1:width, 1:height);
        fore_label = unique(spLabels);
        nSp = numel(unique(fore_label));
        partPos = zeros(nSp, 2);
        for i = 1:2
            temp = loc(:,:,i);
            for j = 1:nSp
                partPos(j, i) = mean(temp(spLabels == fore_label(j)));
            end
        end  
        partPos(:,1) = max(1,partPos(:,1)-4);
        [height, width] = size(spLabels);
        tempImg = zeros(height, width, 3);
        partsColor = spCandidate{k}.partsColor;
        for j = 1:3
            temp = tempImg(:,:,j);
            for i = 1:numel(partsColor)
                if(partsColor(i))                    
                    temp(spLabels == i) = opts.partsColor(partsColor(i),j);
                end
            end
            tempImg(:,:,j) = temp;
        end
        offset = num2str(k-1);
        figure(3), clf, set(gcf, 'NumberTitle', 'off', 'name', 'reliable parts'), imshow(uint8(tempImg)), hold on;
        %subplot(1,opts.frameBuffer,k), imshow(uint8(tempImg)), title(['fr+' offset ',' num2str(numel(spCandidate{k}.targetParts)) ' parts']);
%         for i = 1:numel(partsColor)
%             if(partsColor(i))                    
%                 text('Position',partPos(i,:),'String',num2str(i),'Color','w','FontSize',7);       
%             end
%         end
        savePath = ['E:\ComputerVision\Single-target_Tracking\demo\' opts.seqName '\reliableParts\'];
        if(~isdir(savePath))
            mkdir(savePath);
        end
%         im2save = getframe(gcf);
%         saveImg = im2save.cdata; 
        imwrite(uint8(tempImg), [savePath 'reliableParts_' num2str(frame) '_' num2str(k) '.jpg']); 
    end
end