function [disData, prob] = calcDisDataCost(nodeFeat, disModel, nNodes, nLabels)

disData = zeros(nLabels, nNodes);

btrain = disModel(end);
wtrain = disModel(1:end-1);
decision_values = wtrain'*nodeFeat' + btrain;

% prob = 1./(1+exp(-decision_values*5));
prob = decision_values;
idxPos = decision_values >=0; % find positive samples
pos_factor = 15;
disData(1,idxPos) = decision_values(idxPos)*pos_factor;
disData(2:nLabels,idxPos) = repmat(-decision_values(idxPos)*pos_factor,[nLabels-1,1]);
disData(1,~idxPos) = decision_values(~idxPos);
disData(2:nLabels,~idxPos) = repmat(-decision_values(~idxPos),[nLabels-1,1]);