function genModels = calcGenModels(img, spLabel, c_bins, foreFeat, backFeat, posLabel, negLabel)

global opts

nForeParts = size(foreFeat, 1);
nBackParts = size(backFeat, 1);
posLabel = find(posLabel == 1);
negLabel = find(negLabel == 1);

nForeCluster = 1;%round(nForeParts/5);
nBackCluster = 1;%round(nBackParts/5);
idxFore = litekmeans(foreFeat, nForeCluster);
idxBack = litekmeans(backFeat, nBackCluster);

genModels.foreModel = zeros(nForeCluster, (nHBins*nSBins*nVBins + nSBins*nVBins + nHBins));
genModels.backModel = zeros(nBackCluster, (nHBins*nSBins*nVBins + nSBins*nVBins + nHBins));

for m = 1:length(img)
    for i = 1:size(img,1)
        for j = 1:size(img,2)
            [flag, id] = ismember(spLabel(i,j), posLabel);
            if(flag)
                k = idxFore(id);
                genModels.foreModel(k, c_bins(i,j)) = genModels.foreModel(k, c_bins(i,j))+1;
            else
                [~, id] = ismember(spLabel(i,j), negLabel);
                if(id == 0)
                    continue;
                end
                k = idxBack(id);
                genModels.backModel(k, c_bins(i,j)) = genModels.backModel(k, c_bins(i,j))+1;
            end
        end 
    end
end
% normalization of the histogram
for k = 1:nForeCluster
    % combine the initial foreground model
    genModels.foreModel(k,:) = genModels.foreModel(k,:) + opts.initForeModel(k,:);
    genModels.foreModel(k,:) = genModels.foreModel(k,:)/sum(genModels.foreModel(k,:));   
end
for k = 1:nBackCluster
    % combine the initial background model
    genModels.backModel(k,:) = genModels.backModel(k,:) + opts.initBackModel(k,:);    
    genModels.backModel(k,:) = genModels.backModel(k,:)/sum(genModels.backModel(k,:));   
end