function lbpFeat = calcLBPFeat(searchImage, spLabels, canLabel)

numSp = numel(canLabel);
lbpFeat = zeros(numSp, 256);
[height, width] = size(spLabels);
[pixelXPos, pixelYPos] = meshgrid(1:width, 1:height);

for k = 1:numSp
    idxPixel = spLabels == canLabel(k);
    i = pixelXPos(idxPixel);
    j = pixelYPos(idxPixel);
    idxValid = i > 1 & j > 1 & j < height & i < width;
    i = i(idxValid);
    j = j(idxValid);
    pValue = zeros(numel(i),numel(j),8);
    pValue(:,:,1) = 128*(searchImage(j,i) <= searchImage(j-1,i-1));
    pValue(:,:,2) = 64*(searchImage(j,i) <= searchImage(j-1,i));
    pValue(:,:,3) = 32*(searchImage(j,i) <= searchImage(j-1,i+1));
    pValue(:,:,4) = 16*(searchImage(j,i) <= searchImage(j,i+1));
    pValue(:,:,5) = 8*(searchImage(j,i) <= searchImage(j+1,i+1));
    pValue(:,:,6) = 4*(searchImage(j,i) <= searchImage(j+1,i));
    pValue(:,:,7) = 2*(searchImage(j,i) <= searchImage(j+1,i-1));
    pValue(:,:,8) = searchImage(j,i) <= searchImage(j,i-1);
    % Votes the histogram.    
    nVotes = sum(pValue, 3);
    lbpFeat(k,:) = hist(nVotes(:), 0:255);
    % Normalize the histogram.
    lbpFeat(k,:) = lbpFeat(k,:)/max(1, sum(lbpFeat(k,:)));
end