function [neighbors, colorPotential] = calcNeighbors(searchImage, spLabels, spSearchPos)

%% build the neighbor connections
nNodes = numel(unique(spLabels));
search_radius = sqrt(nnz(spLabels)/nNodes);
neighbors = pdist2(spSearchPos, spSearchPos, 'euclidean');
neighbors = (neighbors <= 1.5*search_radius & neighbors > 0);
neighbors = triu(neighbors,1);
% calculate color smoothness
% searchImage = rgb2hsi(searchImage);
colorFeat = zeros(nNodes, 3);
for k = 1:nNodes
    idx = spLabels == k;
    for i = 1:3
        temp = searchImage(:,:, i);
        colorFeat(k,i) = mean(temp(idx));
    end
end

colorPotential = exp(-pdist2(colorFeat, colorFeat)*0.05);