function [hgResponse, confidenceMap] = calcTsResponse(frSegment, targetAppModel, cfResponse)

global opts

spLabel = frSegment{opts.lenSegment}.spLabels.searchSpLabel;
foreNodes = frSegment{opts.lenSegment}.foreNodes;
foreProb = frSegment{opts.lenSegment}.spConf(foreNodes);
backNodes = setdiff(unique(spLabel),foreNodes);
backProb = -frSegment{opts.lenSegment}.spConf(backNodes);

% calculate the foreground confidence
confidenceMap = zeros(size(spLabel));
for i = 1:numel(foreNodes)
    confidenceMap(ismember(spLabel, foreNodes(i))) = opts.posnegFactor(1);
end
for i = 1:numel(backNodes)
    confidenceMap(ismember(spLabel, backNodes(i))) = -opts.posnegFactor(2);
end
hgResponse = getCenterLikelihood(confidenceMap, targetAppModel.norm_target_sz);
hgResponse = imresize(hgResponse, size(cfResponse));    