function [E, labeling] = graphcutLabeling(targetProposalCost, affPotential, colorPotential, structPotential, Scost, neighbors)

global opts

warning off all

% compute optimal labeling via graph cut
Dcost = targetProposalCost + opts.segAffWeight*affPotential;
neighbors = opts.smoothWeight*neighbors.*colorPotential + opts.smoothWeight*neighbors.*structPotential;    

gch = GraphCut('open', Dcost, Scost, sparse(neighbors));
[gch, segLabel] = GraphCut('expand',gch);
GraphCut('close', gch);

labeling = segLabel'+1;
E = calcLabelingEnergy(Dcost, labeling, Scost, neighbors);