function [searchImage, searchPos, frSegment, newModels, labeling, neighbors, colorPotential] = initLabeling(imgdat, targetState, frSegment, models)

global opts
% determine the searching region of the target
[searchImage, searchPos] = getSubwindow(imgdat, targetState.targetCenter, models.targetAppModel.norm_bg_area, models.targetAppModel.bg_area);

% over-segmentation of image and calculation of attributes
[spLabels, spFeature] = calcSuperpixel(searchImage, searchPos);

% calculate the feature neighbor matrix between superpixels
nNodes = numel(unique(spLabels.searchSpLabel));
[neighbors, colorPotential] = calcNeighbors(searchImage, spLabels.searchSpLabel, spFeature.spSearchPos);

% update the frame segment
frSegment = shiftBuffer(frSegment);
frSegment{opts.lenSegment}.spLabels = spLabels;
frSegment{opts.lenSegment}.spFeature = spFeature;

% initialize varables
labeling = ones(nNodes, 1); % all labeled as background
newModels = models;