function center_likelihood = getCenterLikelihood(object_likelihood, normSize)
%GETCENTERLIKELIHOOD computes the sum over rectangles of the normalized size.
% CENTER_LIKELIHOOD is the 'colour response'
[h,w] = size(object_likelihood);
n1 = h - normSize(1) + 1;
n2 = w - normSize(2) + 1;

%% integral images
SAT = integralImage(object_likelihood);
i = 1:n1;
j = 1:n2;
center_likelihood = (SAT(i,j) + SAT(i+normSize(1), j+normSize(2)) - SAT(i+normSize(1), j) - SAT(i, j+normSize(2))) / prod(normSize);