function [newTargetState, models, targetE] = calcTargetState(imgdat, searchImage, targetState, frSegment, models, targetAppModel_)

targetCenter = targetState.targetCenter;
targetAppModel = models.targetAppModel;

%% calculate the repsonse of corelation filter
cfResponse = calcCfResponse(searchImage, targetAppModel);
cfResponse_ = calcCfResponse(searchImage, targetAppModel_);

%% calculate the response of target proposal
[tsResponse, confidenceMap] = calcTsResponse(frSegment, targetAppModel, cfResponse);

%% calculate the target state
[targetState1, targetE1, targetAppModel1] = locatePos(imgdat, targetCenter, cfResponse, tsResponse, confidenceMap, targetAppModel);
[targetState2, targetE2, targetAppModel2] = locatePos(imgdat, targetCenter, cfResponse_, tsResponse, confidenceMap, targetAppModel_);

if(targetE1 <= targetE2)
    newTargetState = targetState1;
    models.targetAppModel = targetAppModel1;
    targetE = targetE1;
else
    newTargetState = targetState2;
    models.targetAppModel = targetAppModel2;
    targetE = targetE2;
end