function [frSegment, models] = updateTargetStructModel(labeling, targetCenter, searchPos, frSegment, models, frame)

global opts

spLabel = frSegment{opts.lenSegment}.spLabels.searchSpLabel;

% update the position of candidate parts
votePos = targetCenter([2 1]) - searchPos(1:2);
frSegment{opts.lenSegment}.spFeature.spSearchSeed = repmat(votePos, [numel(unique(spLabel)), 1]) + frSegment{opts.lenSegment}.spFeature.spSearchOffset;

targetStructModel = models.targetStructModel;
if(~opts.flagOcc) 
    targetStructModel.numFrPartTrack = min(frame, models.targetStructModel.numFrPartTrack + 1); % update the frame index of part tracking
end

%% graph parts death, if specific part hasn't been successfully matched for several frames
dropList = false(targetStructModel.numParts, 1);
for i = 1:targetStructModel.numParts
    if(frame - targetStructModel.numFrPartTrack(i) > opts.graphDeathFrame)
        % if the number of parts in graph is too small, do not delete old part
        if(targetStructModel.numParts - sum(dropList) <= 0.5*opts.numInitTargetParts)
            break;
        end
        dropList(i) = true;
    end
end

targetStructModel.numFrPartTrack = targetStructModel.numFrPartTrack(~dropList);
targetStructModel.partPos = targetStructModel.partPos(~dropList,:);      
targetStructModel.partVector = targetStructModel.partVector(~dropList,:);  
targetStructModel.partFeat = targetStructModel.partFeat(~dropList,:);
targetStructModel.partConf = targetStructModel.partConf(~dropList);               
targetStructModel.numParts = length(targetStructModel.numFrPartTrack);

models.targetStructModel = targetStructModel;