function [spLabels, spFeature] = calcSuperpixel(searchImage, searchPos)

global opts 

[spLabels.searchSpLabel, nSuperpixel] = overSegment(searchImage);
partLabel = unique(spLabels.searchSpLabel);

%% calculate the appearance feature
% color feature
[colorFeat, spLabels.c_bins] = calcColorFeat(searchImage, spLabels.searchSpLabel, partLabel);
if(opts.typeFeat == 2)
    % lbp feature
    lbpFeat = calcLBPFeat(searchImage, spLabels.searchSpLabel, partLabel); % Local Binary Pattern feature
end

% location of target part
[height, width, ~] = size(searchImage);
[spFeature.spSearchPos, spFeature.spSearchSeed] = calcPartPos(spLabels.searchSpLabel, partLabel, searchPos); % calculate the relative location of superpixels
spFeature.spSearchOffset = spFeature.spSearchSeed - repmat([width, height]/2, [nSuperpixel, 1]);
if(opts.typeFeat == 2)
    spFeature.spSearchFeature = cat(2, colorFeat, lbpFeat);
else
    spFeature.spSearchFeature = colorFeat;
end