function [spLabels, numSuperpixel] = overSegment(sampleImage)

global opts

[height, width, ~] = size(sampleImage);
initNumSp = max(opts.minNumSuperpixels, min(opts.maxNumSuperpixels, round(width*height/opts.nPixelInSuperpixel)));
regionSize = round(sqrt(round(width*height/initNumSp)));
regularizer = 1;
segments = calcSp(sampleImage, regionSize, regularizer);
curLabelSet = unique(segments);
ourLabelSet = 1:length(curLabelSet);
if(all(double(curLabelSet')==ourLabelSet-1))
    spLabels = double(segments) + 1;
else
    spLabels = double(segments);
    for i = 1:length(curLabelSet)
        spLabels(segments==curLabelSet(i)) = ourLabelSet(i);
    end
end
numSuperpixel = numel(unique(spLabels));
opts.spSize = sqrt(width*height/numSuperpixel);

if(opts.debug)
    disp(['# of superpixels = ' num2str(numSuperpixel)]);
end